const M = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, H = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function T(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var R = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, g = R, x = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function $(e) {
  return e.trim().replace(x.whitespace, " ");
}
function j(e) {
  return encodeURIComponent(e).replace(x.urlHexPairs, G);
}
function W(e) {
  return Object.keys(g).forEach(function(t) {
    g[t].test(e) && (e = e.replace(g[t], t));
  }), e;
}
function G(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function w(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = W($(e)).replace(x.quotes, "'");
  return "data:image/svg+xml," + j(t);
}
w.toSrcset = function(t) {
  return w(t).replace(/ /g, "%20");
};
var q = w, A = {}, U = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  function t(a, i) {
    return {
      handler: a,
      config: i
    };
  }
  t.withOptions = function(a, i = () => ({})) {
    const d = function(f) {
      return {
        __options: f,
        handler: a(f),
        config: i(f)
      };
    };
    return d.__isOptionsFunction = !0, d.__pluginFunction = a, d.__configFunction = i, d;
  };
  const n = t;
})(U);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = /* @__PURE__ */ n(U);
  function n(i) {
    return i && i.__esModule ? i : {
      default: i
    };
  }
  const a = t.default;
})(A);
let m = A;
var I = (m.__esModule ? m : { default: m }).default, L = {}, _ = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(n) {
    return Array.isArray(n) ? n.map((a) => t(a)) : typeof n == "object" && n !== null ? Object.fromEntries(Object.entries(n).map(([a, i]) => [
      a,
      t(i)
    ])) : n;
  }
})(_);
var N = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      busy: 'busy="true"',
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridTemplateColumns: {
      none: "none",
      subgrid: "subgrid",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      subgrid: "subgrid",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      svh: "100svh",
      lvh: "100lvh",
      dvh: "100dvh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      svh: "100svh",
      lvh: "100lvh",
      dvh: "100dvh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      ...e("spacing"),
      none: "none",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: ({ theme: e }) => ({
      ...e("spacing"),
      full: "100%",
      screen: "100vh",
      svh: "100svh",
      lvh: "100lvh",
      dvh: "100dvh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    minWidth: ({ theme: e }) => ({
      ...e("spacing"),
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      15: "0.15",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      35: "0.35",
      40: "0.4",
      45: "0.45",
      50: "0.5",
      55: "0.55",
      60: "0.6",
      65: "0.65",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      85: "0.85",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    size: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      svw: "100svw",
      lvw: "100lvw",
      dvw: "100dvw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return i;
    }
  });
  const t = _, n = /* @__PURE__ */ a(N);
  function a(d) {
    return d && d.__esModule ? d : {
      default: d
    };
  }
  const i = (0, t.cloneDeep)(n.default.theme);
})(L);
let y = L;
var z = (y.__esModule ? y : { default: y }).default;
const F = /* @__PURE__ */ T(z);
var C = {}, B = {}, k = { exports: {} }, r = String, O = function() {
  return { isColorSupported: !1, reset: r, bold: r, dim: r, italic: r, underline: r, inverse: r, hidden: r, strikethrough: r, black: r, red: r, green: r, yellow: r, blue: r, magenta: r, cyan: r, white: r, gray: r, bgBlack: r, bgRed: r, bgGreen: r, bgYellow: r, bgBlue: r, bgMagenta: r, bgCyan: r, bgWhite: r, blackBright: r, redBright: r, greenBright: r, yellowBright: r, blueBright: r, magentaBright: r, cyanBright: r, whiteBright: r, bgBlackBright: r, bgRedBright: r, bgGreenBright: r, bgYellowBright: r, bgBlueBright: r, bgMagentaBright: r, bgCyanBright: r, bgWhiteBright: r };
};
k.exports = O();
k.exports.createColors = O;
var V = k.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(o, l) {
    for (var s in l)
      Object.defineProperty(o, s, {
        enumerable: !0,
        get: l[s]
      });
  }
  t(e, {
    dim: function() {
      return f;
    },
    default: function() {
      return p;
    }
  });
  const n = /* @__PURE__ */ a(V);
  function a(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  let i = /* @__PURE__ */ new Set();
  function d(o, l, s) {
    typeof process < "u" && process.env.JEST_WORKER_ID || s && i.has(s) || (s && i.add(s), console.warn(""), l.forEach((P) => console.warn(o, "-", P)));
  }
  function f(o) {
    return n.default.dim(o);
  }
  const p = {
    info(o, l) {
      d(n.default.bold(n.default.cyan("info")), ...Array.isArray(o) ? [
        o
      ] : [
        l,
        o
      ]);
    },
    warn(o, l) {
      d(n.default.bold(n.default.yellow("warn")), ...Array.isArray(o) ? [
        o
      ] : [
        l,
        o
      ]);
    },
    risk(o, l) {
      d(n.default.bold(n.default.magenta("risk")), ...Array.isArray(o) ? [
        o
      ] : [
        l,
        o
      ]);
    }
  };
})(B);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return i;
    }
  });
  const t = /* @__PURE__ */ n(B);
  function n(d) {
    return d && d.__esModule ? d : {
      default: d
    };
  }
  function a({ version: d, from: f, to: p }) {
    t.default.warn(`${f}-color-renamed`, [
      `As of Tailwind CSS ${d}, \`${f}\` has been renamed to \`${p}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const i = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return a({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return a({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return a({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return a({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return a({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(C);
let h = C;
var Y = (h.__esModule ? h : { default: h }).default;
const v = q, J = I, S = z, b = Y, [K, { lineHeight: X }] = S.fontSize.base, { spacing: c, borderWidth: D, borderRadius: E } = S;
function u(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const Q = J.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: n, theme: a }) {
    function i(o, l) {
      let s = a(o);
      return !s || s.includes("var(") ? l : s.replace("<alpha-value>", "1");
    }
    const d = e.strategy === void 0 ? ["base", "class"] : [e.strategy], f = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": u(
            a("colors.gray.500", b.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": D.DEFAULT,
          "border-radius": E.none,
          "padding-top": c[2],
          "padding-right": c[3],
          "padding-bottom": c[2],
          "padding-left": c[3],
          "font-size": K,
          "line-height": X,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": u(
              a("colors.blue.600", b.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": u(
              a("colors.blue.600", b.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: u(a("colors.gray.500", b.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on iOS date and time inputs are centered instead of left-aligned and can't be
        // changed with `text-align` utilities on the input by default. Resetting this to `inherit`
        // makes them left-aligned by default and makes it possible to override the alignment with
        // utility classes without using an arbitrary variant to target the pseudo-elements.
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "text-align": "inherit"
        }
      },
      {
        // In Safari on macOS date time inputs that are set to `display: block` have unexpected
        // extra bottom spacing. This can be corrected by setting the `::-webkit-datetime-edit`
        // pseudo-element to `display: inline-flex`, instead of the browser default of
        // `display: inline-block`.
        base: ["::-webkit-datetime-edit"],
        class: [".form-input::-webkit-datetime-edit"],
        styles: {
          display: "inline-flex"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${v(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${i(
              "colors.gray.500",
              b.gray[500]
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${c[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": c[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": c[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: c[4],
          width: c[4],
          color: u(a("colors.blue.600", b.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": u(
            a("colors.gray.500", b.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": D.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": E.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": u(
            a("colors.blue.600", b.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${v(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`,
          "@media (forced-colors: active) ": {
            appearance: "auto"
          }
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${v(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`,
          "@media (forced-colors: active) ": {
            appearance: "auto"
          }
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${v(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat",
          "@media (forced-colors: active) ": {
            appearance: "auto"
          }
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: ["1px solid ButtonText", "1px auto -webkit-focus-ring-color"]
        }
      }
    ], p = (o) => f.map((l) => l[o] === null ? null : { [l[o]]: l.styles }).filter(Boolean);
    d.includes("base") && t(p("base")), d.includes("class") && n(p("class"));
  };
});
var Z = Q;
const ee = /* @__PURE__ */ T(Z), be = function({ addBase: e, addComponents: t, theme: n }) {
  for (const [a, i] of Object.entries(M))
    e({
      ":root, :host": {
        [a]: i
      }
    });
  for (const [a, i] of Object.entries(H))
    e({
      '[data-context="alternative"]': {
        [a]: i
      }
    });
  ee({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: n });
}, re = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, ae = {
  sans: ["Archivo", ...F.fontFamily.sans],
  serif: ["IBM Plex Serif", ...F.fontFamily.serif]
}, te = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, oe = {
  4.5: "1.125rem"
}, ne = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, ie = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, de = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, le = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, se = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, fe = {
  wiggle: {
    "0%, 100%": { transform: "rotate(-3deg)" },
    "50%": { transform: "rotate(3deg)" }
  }
}, ce = {
  wiggle: "wiggle 0.3s ease-in-out infinite"
}, ue = {
  theme: {
    extend: {
      fontFamily: ae,
      fontSize: te,
      lineHeight: oe,
      colors: re,
      textColor: ne,
      borderColor: ie,
      backgroundColor: de,
      outlineColor: le,
      ringColor: se,
      keyframes: fe,
      animation: ce
    }
  }
};
export {
  ue as bccForbundetTheme,
  be as tailwindPlugin
};
